/*
 * 说明：积分详情页
 * 时间：2018/4/11/ 13:12
 * 创建：lj
 */
var myPoints = (function(c, $) {
	var nextUrl = ""; //下一页
	var ui = {
		currentPoints: document.getElementById("currentPoints"),
	}

	//获取列表数据
	function getMyPoints(isRefresh) {
		var refreshBlock = $('#listBlock').pullRefresh();
		if(isRefresh) { //下拉刷新
			c.dataUtil.getMyPoints('', function(res) {
				console.log('===积分列表===' + JSON.stringify(res));
				refreshBlock.endPulldown(); //结束下拉	
				if(res.SystemCode == 1) {
					nextUrl = res.nextUrl;
					document.getElementById('pointsContent').innerHTML = template('pointsContentTmpl', {
						List: res.data.varList,
					});
					if(nextUrl == '') { //无下一页数据
						refreshBlock.disablePullupToRefresh(); //禁用上拉
					} else {
						refreshBlock.enablePullupToRefresh(); //启用上拉
						refreshBlock.refresh(true); //重置上拉
					}
				} else {
					$.toast(ERROR_CONFIG[res.SystemCode]);
					refreshBlock.disablePullupToRefresh(); //禁用上拉
					return;
				}
			}, function(xhr, type, err) { //error
				refreshBlock.endPulldown(); //结束下拉
				refreshBlock.disablePullupToRefresh(); //禁用上拉
				$.toast('服务器异常，请稍后重试！');
				return;
			});
		} else { //上拉加载
			if(nextUrl == '') {
				refreshBlock.endPullupToRefresh(true);
				return;
			} else {
				refreshBlock.enablePullupToRefresh(); //启用上拉
				refreshBlock.refresh(true); //重置上拉
			}
			c.dataUtil.getMyPoints(HOST_CONFIG + nextUrl, function(res) {
				console.log('===积分列表下一页===' + JSON.stringify(res));
				if(res.SystemCode == 1) {
					nextUrl = res.nextUrl;
					document.getElementById('pointsContent').innerHTML += template('pointsContentTmpl', {
						List: res.data.varList,
					});
					if(nextUrl == '') {
						refreshBlock.endPullupToRefresh(true);
					} else {
						refreshBlock.endPullupToRefresh(false);
					}
				} else {
					$.toast(ERROR_CONFIG[data.SystemCode]);
					refreshBlock.endPullupToRefresh(true);
					return;
				}
			}, function(xhr, type, err) { //error
				refreshBlock.endPulldown(); //结束下拉
				refreshBlock.disablePullupToRefresh(); //禁用上拉
				$.toast('服务器异常，请稍后重试！');
				return;
			});
		}
	}
	
	return {
		init: function() {
			//接收上级页面传来的参数
			ui.currentPoints.innerText = plus.webview.currentWebview().myPoints;
		},
		getMyPoints: getMyPoints
	}
})(window, mui);
